#!/bin/sh

set -eu

# Get the force-badtest hints from Debian.

BASEURL=https://release.debian.org/britney/hints
NICKS="adsb elbrus ginggs ivodd jcristau jmw kibi pochu sramacher"
OUTDIR=Hints

if [ ! -d $OUTDIR ]; then
    echo "ERROR: $OUTDIR doesn't exist" >&2
    exit 1
fi

OUTFILE=$OUTDIR/bad-tests
rm -f $OUTFILE

echo "# Generated by script: $(basename $0)"  > $OUTFILE
echo "# On: $(date)"                         >> $OUTFILE

for nick in $NICKS; do
    url=$BASEURL/$nick
    hints=$(wget -nv $url -O- |
        sed '/^ *finished/,$d' |
        grep '^ *force-badtest ' |
        LC_ALL=C sort)

    if [ -z "$hints" ]; then
        continue
    fi
    
    echo "# From url: $url" >> $OUTFILE
    echo "$hints"           >> $OUTFILE
done
